Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class RegistryNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.RegistryNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class RegistryNotification

extends ServerNotification

`RegistryNotification` is fired when an event such as a Registry being started occurs. The payload of this event will always be a reference to the Registry ID.

See Also:
  `Registry`, `MuleContext`, Serialized Form

Field Summary
`static int` | `REGISTRY_DISPOSED`
`static int` | `REGISTRY_DISPOSING`
`static int` | `REGISTRY_INITIALISED`
`static int` | `REGISTRY_INITIALISING`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, FLOW_CONSTRUCT_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RegistryNotification(Registry registry, int action)`
`RegistryNotification(Registry registry, String action)`

Method Summary
`String` | `toString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getPayloadToString, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_INITIALISING

    public static final int REGISTRY_INITIALISING

See Also:
  Constant Field Values

### REGISTRY_INITIALISED

    public static final int REGISTRY_INITIALISED

See Also:
  Constant Field Values

### REGISTRY_DISPOSING

    public static final int REGISTRY_DISPOSING

See Also:
  Constant Field Values

### REGISTRY_DISPOSED

    public static final int REGISTRY_DISPOSED

See Also:
  Constant Field Values

Constructor Detail

### RegistryNotification

    public RegistryNotification(Registry registry,
                                String action)

### RegistryNotification

    public RegistryNotification(Registry registry,
                                int action)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.